# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Retrieve disputes status You can request the status for a list of disputes by sending a `POST` request to the `/disputes/status-query` endpoint. ## Important request fields **Important required request fields** | Request field name | Description | Required | Location | | --- | --- | --- | --- | | request-id | Unique request identifier provided in the header by the requestor. | Y | Header | | statusInquiryParameters | Any of: - list of companyIds (Note: for future use) - list of merchantIds - list of disputeIds - startDateTime (In YYYY-MM-DDTHH:MM:SSZ format) - endDateTime (In YYYY-MM-DDTHH:MM :SSZ format) | Y | Body | | pageSize | Maximum number of records that are returned as the output for the requested page in the paginated response. | N | Body | | cursor | Indicates the starting point for the next set of data on the paginated response. When you make a request to the API and receive a response with a next page cursor, you can use that cursor in a subsequent request to retrieve the next page of results. | N | Body | ## Important response fields **Important disputesStatusList response fields** | Response field name | Description | | --- | --- | | disputeStatus | The label for the current stage of a case in the dispute resolution process. Allowed values: - NEW - Dispute case received. - NEEDS_RESPONSE - Dispute pending documents from you. - NEED_ADDITIONAL_INFORMATION - More information requested by us. - ACCEPTED - You accepted the liability. - CHALLENGED_JPMC - Dispute challenged on your behalf by us. - UNDER_ISSUER_REVIEW - Dispute has been returned to the issuer for review. - CHALLENGED_MERCHANT - Dispute challenged by you. - CHALLENGE_DENIED - Case cannot be challenged due to no representation rights per network rules. - CLOSED - Dispute cycle complete. - EXPIRED - Dispute has expired as due date has passed. | | outcome | The outcome of a dispute. For chargebacks, this indicates the financial outcome for you after the dispute is solved. For retrieval requests, this indicates whether the request has been fulfilled or not. Allowed values: - PENDING - Final decision/result pending. - LOST - You lost the dispute and a debit was done on your account for the total dispute amount. - WON - You won the dispute and your account has been credited back for the total dispute amount. - PARTIALLY_WON - You won a partial amount of the disputed funds, and their account has been credited with this portion. - FULFILLED - You have fulfilled the retrieval request. - NOT_FULFILLED - You have not fulfilled the retrieval request. | | financialAdjustmentIndicator | Indicates that a recent activity or a status change has a financial impact on your funded amount. Examples: a new dispute, issuer has reversed the chargeback, lost dispute, excess funds have been credited or debited, etc. This is reserved for future use. | **HTTP method: **`POST` **Endpoint: **`/disputes/status-query` **Scenario: **Obtain the status for a list of disputes. ```json { "statusInquiryParameters": { "companyIds": [], "merchantIds": [ 997241028650 ], "disputeIds": [], "startDateTime": "2025-01-01T00:00:00Z", "endDateTime": "2025-09-09T12:00:00Z" }, "pagination": { "cursor": "", "pageSize": 3 } } ``` **Response:** ```json { "requestId": "7e9f510f-46f9-45d1-bff9-9db57e55c812", "disputesStatusList": [ { "disputeId": 83017, "disputeStatus": "EXPIRED", "statusUpdateTimestamp": "2025-09-08T07:00:23.032839Z", "outcome": "NOT_FULFILLED", "financialAdjustmentIndicator": false, "isReversed": false, "relatedFinancialItems": [] }, { "disputeId": 83016, "disputeStatus": "EXPIRED", "statusUpdateTimestamp": "2025-09-08T07:00:23.023041Z", "outcome": "NOT_FULFILLED", "financialAdjustmentIndicator": false, "isReversed": false, "relatedFinancialItems": [] }, { "disputeId": 83018, "disputeStatus": "EXPIRED", "statusUpdateTimestamp": "2025-09-08T07:00:23.016749Z", "outcome": "NOT_FULFILLED", "financialAdjustmentIndicator": false, "isReversed": false, "relatedFinancialItems": [] } ], "traceId": "3bdf5042-ba5a-46e6-80eb-05b227859131", "pagination": { "cursor": "eyJjaWQiOltdLCJtaWQiOlsiOTk3MjQxMDI4NjUwIl0sInBnIjoyLCJjc2lkIjpbXSwibHQiOjMsInN1cyI6IjIwMjUtMDEtMDFUMDA6MDA6MDBaIiwic3VlIjoiMjAyNS0wOS0wOVQxMjowMDowMFoiLCJ0cGciOjI2fQ==" } } ```